org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class SubgraphTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SubgraphTest

- Direct Known Subclasses:
    SubgraphTest.Traversals

      public abstract class SubgraphTest
      extends AbstractGremlinProcessTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SubgraphTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubgraphTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_withSideEffectXsgX_outEXknowsX_subgraphXsgX_name_capXsgX()`
    `void` | `g_V_withSideEffectXsgX_repeatXbothEXcreatedX_subgraphXsgX_outVX_timesX5X_name_dedup()`
    `void` | `g_withSideEffectXsgX_V_hasXname_danielXout_capXsgX()`
    `abstract Traversal<Vertex,Graph>` | `get_g_V_withSideEffectXsgX_outEXknowsX_subgraphXsgX_name_capXsgX(Object v1Id, Graph subgraph)`
    `abstract Traversal<Vertex,String>` | `get_g_V_withSideEffectXsgX_repeatXbothEXcreatedX_subgraphXsgX_outVX_timesX5X_name_dedup(Graph subgraph)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_withSideEffectXsgX_V_hasXname_danielX_outE_subgraphXsgX_inV(Graph subgraph)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubgraphTest

          public SubgraphTest()

  - ### Method Detail

    - #### get_g_V_withSideEffectXsgX_outEXknowsX_subgraphXsgX_name_capXsgX

          public abstract Traversal<Vertex,Graph> get_g_V_withSideEffectXsgX_outEXknowsX_subgraphXsgX_name_capXsgX(Object v1Id,
                                                                                                                   Graph subgraph)

    - #### get_g_V_withSideEffectXsgX_repeatXbothEXcreatedX_subgraphXsgX_outVX_timesX5X_name_dedup

          public abstract Traversal<Vertex,String> get_g_V_withSideEffectXsgX_repeatXbothEXcreatedX_subgraphXsgX_outVX_timesX5X_name_dedup(Graph subgraph)

    - #### get_g_withSideEffectXsgX_V_hasXname_danielX_outE_subgraphXsgX_inV

          public abstract Traversal<Vertex,Vertex> get_g_withSideEffectXsgX_V_hasXname_danielX_outE_subgraphXsgX_inV(Graph subgraph)

    - #### g_V_withSideEffectXsgX_outEXknowsX_subgraphXsgX_name_capXsgX

          public void g_V_withSideEffectXsgX_outEXknowsX_subgraphXsgX_name_capXsgX()
                                                                            throws Exception

      Throws:
        `Exception`

    - #### g_V_withSideEffectXsgX_repeatXbothEXcreatedX_subgraphXsgX_outVX_timesX5X_name_dedup

          public void g_V_withSideEffectXsgX_repeatXbothEXcreatedX_subgraphXsgX_outVX_timesX5X_name_dedup()
                                                                                                   throws Exception

      Throws:
        `Exception`

    - #### g_withSideEffectXsgX_V_hasXname_danielXout_capXsgX

          public void g_withSideEffectXsgX_V_hasXname_danielXout_capXsgX()
                                                                  throws Exception

      Throws:
        `Exception`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.